EDIT - feature request #7569

SpecimenTypeDesignationEditor: Typedesignations should be ordered

07/20/2018 10:52 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.2

Severity: normal

Description

[requested by Henning]:

Anfrage zur Sortierung der Typen:

Zeitlich und logisch gebe ich zuerst den Lectotypus an, dann den Isotypus. Ohne Lectotypus ist kein Isotypus méglich. Insofern
ergibt sich eine Reihenfolge, die insofern umgedreht wird, als der zuletzt eingegebene Eintrag oben, bzw. zuerst angezeigt wird.
Innerhalb eines Lectotypus erst den Lectotypus, dann den Isolectotypus. Ohne Lectotypus ist kein Isolectotypus méglich.

Associated revisions

Revision 6055cbe0 - 07/20/2018 10:53 AM - Andreas Kohlbecker
fix #7569 ordering typedesignations in workingset by type

History

#1 - 07/20/2018 10:53 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|6055cbe049e1e8d7db866c07419¢c26f705acb518.

#2 - 07/20/2018 10:54 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

fixed and ready for review.

#3 - 08/20/2018 01:43 PM - Wolf-Henning Kusber

- Status changed from Resolved to Closed

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Main usecases checked:
Holotype isotypes

Holotype paratypes

Type Epitype, Type lectotype

Order as requested, ticket closed.
